#property version   "1.00"
#property strict

extern string RSI_setting        = "RSI setting";
extern int RSIPeriod             = 14;
extern int BuyPoint              = 30;
extern int SellPoint             = 70;

extern string Money_Management   = "Money Management";
extern double Lots               = 1;
//extern bool Risk_in_Percent      = 0;
//extern double Risk               = 0.05;

extern string SL_TP              = "S/L & TP";
extern double TakeProfit         = 250;
extern double StopLoss           = 125;

extern string Time_setting       = "Time setting";
extern int StartHour             = 10;
//extern int StartMinutes          = 0;
extern int StopHour              = 22;
//extern int StopMinutes           = 0;


int start()
   {
   //Money Management
   
   
   //TP & SL
   
   double BuySL   = NormalizeDouble(Ask-StopLoss*Point,Digits);
   double SellSL  = NormalizeDouble(Bid+StopLoss*Point,Digits);
   
   double BuyTP   = NormalizeDouble(Ask+TakeProfit*Point,Digits);
   double SellTP  = NormalizeDouble(Bid-TakeProfit*Point,Digits);
   
   //RSI
   double RSI_Last = iRSI(NULL,0,RSIPeriod,PRICE_CLOSE,1);
   double RSI_Prev = iRSI(NULL,0,RSIPeriod,PRICE_CLOSE,2);
   
   //Check time
   int TradeTime;
   if( (Hour() >= StartHour) && (Hour() <= StopHour) )
      {
      TradeTime = 1;
      }
      else
      TradeTime = 0;
   
   //Check open
   int i;
   int BMN;
   int SMN;
   int BuyMagicNumber = 2;
   int SellMagicNumber = 3;
   
   if(OrdersTotal()>0)
      {
      for(i=1; i<=OrdersTotal(); i++)
         {
         if(OrderSelect(i-1,SELECT_BY_POS)==true)
            {
            if(OrderMagicNumber()==BuyMagicNumber) {BMN=1;}
            if(OrderMagicNumber()==SellMagicNumber) {SMN=1;}
            }
         }
      }
   
   //Buy
   if( (BMN!=1) && (TradeTime==1) && (RSI_Prev < BuyPoint) && (RSI_Last > BuyPoint) )
      {
      OrderSend(Symbol(),OP_BUY,Lots,Ask,1,BuySL,BuyTP,NULL,BuyMagicNumber,0,clrGreen);
      }
   
   //Sell
   if( (SMN!=1) && (TradeTime==1) && (RSI_Prev > SellPoint) && (RSI_Last < SellPoint) )
      {
      OrderSend(Symbol(),OP_SELL,Lots,Bid,1,SellSL,SellTP,NULL,SellMagicNumber,0,clrRed);
      }
   
   return(0);
   }